Bug 826990 - NoClassDefFoundError when calling a webservice using Wise SOAPClient(JDK7)
NoClassDefFoundError when calling a webservice using Wise SOAPClient(JDK7)
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER4
: 5.3.0 GA
Assigned To: Kevin Conner
:
Depends On: 820498
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 07:30 EDT by Filip Elias
Modified: 2015-03-12 07:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When attempting to invoke a webservice with the Wise SOAPClient it will throw an exception. This is caused by a class error in JDK 7. A logmanager patch has been added to address this. As a result, users will no longer encounter this exception when invoking webservices via Wise.
Story Points: ---
Clone Of:
Environment:
SOA-P 5.3 java version "1.7.0_04"
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ESB service with soapclient and webservice (12.40 KB, application/octet-stream)
2012-05-31 07:30 EDT, Filip Elias
no flags Details

  None (edit)
Description Filip Elias 2012-05-31 07:30:31 EDT
Created attachment 588051 [details]
ESB service with soapclient and webservice

Description of problem:
When you try to call a webservice using Wise SOAPClient it will throw "java.lang.NoClassDefFoundError: Could not initialize class sun.net.www.protocol.http.HttpURLConnection". 
This problem occurs in JDK 7.

Version-Release number of selected component (if applicable):
SOA-P 5.3 ER3

Steps to Reproduce:
1.Deploy archive from the attachment(it contains also webservice)
2.Call service (Category:"MyServiceCategory" Name:"Webserviceconsumer_wise2")

  
Exception:

java.lang.NoClassDefFoundError: Could not initialize class sun.net.www.protocol.http.HttpURLConnection
	at sun.net.www.protocol.http.Handler.openConnection(Handler.java:62)
	at sun.net.www.protocol.http.Handler.openConnection(Handler.java:57)
	at java.net.URL.openConnection(URL.java:969)
	at org.jboss.soa.esb.actions.soap.wise.WSDynamicClientFactory.transferWSDL(WSDynamicClientFactory.java:126)
	at org.jboss.soa.esb.actions.soap.wise.WSDynamicClientFactory.downloadWsdl(WSDynamicClientFactory.java:111)
	at org.jboss.soa.esb.actions.soap.wise.WSDynamicClientFactory.create(WSDynamicClientFactory.java:71)
	at org.jboss.soa.esb.actions.soap.wise.SOAPClient.createClient(SOAPClient.java:330)
	at org.jboss.soa.esb.actions.soap.wise.SOAPClient.process(SOAPClient.java:263)
	at org.jboss.soa.esb.listeners.message.ActionProcessingPipeline.processPipeline(ActionProcessingPipeline.java:657)
	at org.jboss.soa.esb.listeners.message.ActionProcessingPipeline.processPipeline(ActionProcessingPipeline.java:611)
	at org.jboss.soa.esb.listeners.message.ActionProcessingPipeline.process(ActionProcessingPipeline.java:441)
	at org.jboss.soa.esb.listeners.message.MessageAwareListener$TransactionalRunner.run(MessageAwareListener.java:587)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:722)
Comment 4 Nick Cross 2012-06-06 05:57:52 EDT
Logmanager patched in https://bugzilla.redhat.com/show_bug.cgi?id=820498
Comment 5 Suz 2012-06-13 01:48:23 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When attempting to invoke a webservice with the Wise SOAPClient it will throw the exception. This is caused by a class error in JDK 7.
Comment 6 David Le Sage 2012-06-13 23:58:59 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-When attempting to invoke a webservice with the Wise SOAPClient it will throw the exception. This is caused by a class error in JDK 7.+When attempting to invoke a webservice with the Wise SOAPClient it will throw an exception. This is caused by a class error in JDK 7. A logmanager patch has been added to address this.  As a result, users will no longer encounter this exception when invoking webservices via Wise.
Comment 7 Filip Elias 2012-06-28 06:26:37 EDT
Verified in SOA-P 5.3 ER4

Note You need to log in before you can comment on or make changes to this bug.